OBS User unknown 2008-04-24 07:17:49 +00:00 committed by Git OBS Bridge
parent 0514099cc0
commit c63a846ffc
5 changed files with 222 additions and 36 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:c7e18cc28e1acf71cfbc336d37a4aaf957cdee7eccc5544cea582fee132f50ce
size 13625708

3
wine-0.9.60.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:2120110607a4f00f137559d34e435a6af9fffc06d085f78568e9a75b7afa1a11
size 13765920

View File

@ -1,3 +1,18 @@
-------------------------------------------------------------------
Sat Apr 19 10:25:31 CEST 2008 - meissner@suse.de
- Upgraded to upstream 0.9.60
- Better support for Windows IMEs.
- Option for Windows-style window decorations.
- Improved system tray behavior.
- Window management fixes.
- Improved quartz audio support.
- Better support for launching apps from Unix file managers.
- Lots of bug fixes.
- winetricks updated
- various new downloads (wmp9,wmp10,..)
- bugfixes
-------------------------------------------------------------------
Fri Apr 4 17:41:23 CEST 2008 - meissner@suse.de

View File

@ -1,5 +1,5 @@
#
# spec file for package wine (Version 0.9.59)
# spec file for package wine (Version 0.9.60)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
@ -16,7 +16,7 @@ BuildRequires: alsa-devel audiofile bison capi4linux-devel cups-devel desktop-f
License: LGPL v2.1 or later
Group: System/Emulators/PC
AutoReqProv: on
Version: 0.9.59
Version: 0.9.60
Release: 1
Summary: An MS Windows Emulator
Url: http://www.winehq.com
@ -120,6 +120,18 @@ rm -rf $RPM_BUILD_ROOT
/usr/share/aclocal/wine.m4
%changelog
* Sat Apr 19 2008 meissner@suse.de
- Upgraded to upstream 0.9.60
- Better support for Windows IMEs.
- Option for Windows-style window decorations.
- Improved system tray behavior.
- Window management fixes.
- Improved quartz audio support.
- Better support for launching apps from Unix file managers.
- Lots of bug fixes.
- winetricks updated
- various new downloads (wmp9,wmp10,..)
- bugfixes
* Fri Apr 04 2008 meissner@suse.de
- Upgraded to upstream 0.9.59
- Improved support for the .NET framework.

View File

@ -20,23 +20,32 @@ WINETRICKS_TMP=$WINEPREFIX/drive_c/winetrickstmp
case "$1" in
-V|--version)
echo "Winetricks version 20080402. (C) Dan Kegel. LGPL."
echo "Winetricks version 20080418. (C) Dan Kegel. LGPL."
exit 0
;;
esac
die() {
echo "$@"
case x"$GUI" in
x1) xmessage -center " Winetricks error: $@ " ;;
*) ;;
esac
exit 1
}
which "$WINE" > /dev/null
if test "$?" -ne "0"
then
echo "Cannot find wine ($WINE)"
exit 1
die "Cannot find wine ($WINE)"
fi
which "$WINEPREFIXCREATE" > /dev/null
if test "$?" -ne "0"
then
echo "Cannot find wineprefixcreate ($WINEPREFIXCREATE)"
exit 1
die "Cannot find wineprefixcreate ($WINEPREFIXCREATE)"
fi
#----------------------------------------------------------------
@ -73,7 +82,7 @@ usage() {
echo " mdac28 MDAC 2.8."
echo " mfc40"
echo " mono11 mono 1.1.13-gtksharp-2.8.2 (deprecated, use 1.2)"
echo " mono12 mono mono-1.2.6-gtksharp-2.10.2"
echo " mono12 mono mono-1.9-gtksharp-2.10.4-win32-4"
echo " msi2 Microsoft Installer 2.0"
echo " msls31 Microsoft Line Services 3.1 (needed by native riched?)"
echo " msxml3 Microsoft XML version 3"
@ -87,11 +96,13 @@ usage() {
echo " vb4run Visual Basic 4 runtime"
echo " vb5run Visual Basic 5 runtime"
echo " vb6run Visual Basic 6 runtime"
echo " vcrun6 vc6redist from VS6sp4, including mfc42"
echo " vcrun6 vc6redist from VS6sp4 (mfc42, msvcp60, msvcrt)"
echo " vcrun2003 Visual C++ 2003 redistributables (mfc71,msvcp71,msvcr71)"
echo " vcrun2005 Visual C++ 2005 redistributable libraries"
echo " vcrun2005 Visual C++ 2005 redistributable libraries (mfc80,msvcp80,msvcr80)"
echo " vcrun2005sp1 Visual C++ 2005sp1 redistributable libraries"
echo " vcrun2008 Visual C++ 2008 redistributable libraries"
echo " vcrun2008 Visual C++ 2008 redistributable libraries (mfc90,msvcp90,msvcr90)"
echo " wmp9 Windows Media Player 9 (requires Windows license)"
echo " wmp10 Windows Media Player 10 (requires Windows license)"
echo " wsh51 Windows Scripting Host 5.1"
echo " wsh56 Windows Scripting Host 5.6 (install vcrun6 first)"
echo " wsh56js Windows scripting 5.6, jscript only, no cscript"
@ -102,12 +113,13 @@ usage() {
echo " allcodecs Install all listed codecs (xvid, ffdshow, icodecs)"
echo " fakeie6 Set registry to claim IE6sp1 is installed"
echo " native_mdac Override odbc32 and odbccp32"
echo " winver=nt40 Set windows version to nt40"
echo " winver=win98 Set windows version to Windows 98"
echo " winver=win2k Set windows version to Windows 2000"
echo " winver=winxp Set windows version to Windows XP"
echo " nt40 Set windows version to nt40"
echo " win98 Set windows version to Windows 98"
echo " win2k Set windows version to Windows 2000"
echo " winxp Set windows version to Windows XP"
echo " vista Set windows version to Windows Vista"
echo " winver= Set windows version to default (winxp)"
echo " volnum Rename drive_c to harddiskvolume0 (was needed by some installers before 0.9.54)"
echo " volnum Rename drive_c to harddiskvolume0 (needed by some installers)"
}
#----------------------------------------------------------------
@ -211,8 +223,9 @@ dogui()
#----------------------------------------------------------------
GUI=0
case x"$1" in
x) dogui ; set $todo ;;
x) GUI=1; dogui ; set $todo ;;
x-h|x--help|xhelp) usage ; exit 1 ;;
esac
test -d $WINEPREFIX || $WINEPREFIXCREATE
@ -226,6 +239,34 @@ rm -rf $WINETRICKS_TMP/*
programfilesdir_win=`$WINE cmd.exe /c echo "%ProgramFiles%"`
programfilesdir_unix=`$WINE winepath -u "$programfilesdir_win"`
# Mac folks tend to have curl rather than wget
if which curl > /dev/null
then
WGET="curl -L -O -C -"
else
# Use -nd to insulate ourselves from people who set -x in WGETRC
# [*] --retry-connrefused works around the broken sf.net mirroring
# system when downloading corefonts
# [*] --read-timeout is useful on the adobe server that doesn't
# close the connection unless you tell it to (control-C or closing
# the socket)
WGET="wget -nd -c --read-timeout=300 --retry-connrefused"
fi
# Mac folks tend to not have sha1sum, but we can make do with openssl
if which sha1sum > /dev/null
then
SHA1SUM="sha1sum"
else
SHA1SUM="openssl dgst -sha1"
fi
which cabextract > /dev/null
if test "$?" -ne "0"
then
echo "Cannot find cabextract. Please install it (e.g. 'sudo apt-get install cabextract' or 'sudo yum install cabextract')."
fi
#----- Helpers ------------------------------------------------
# Execute with error checking
@ -239,8 +280,19 @@ try() {
status=$?
if test $status -ne 0
then
echo "Note: command '$@' returned status $status. Aborting."
exit $status
die "Note: command '$@' returned status $status. Aborting."
fi
}
# verify an sha1sum
verify_sha1sum() {
wantsum=$1
file=$2
gotsum=`$SHA1SUM < $file | sed 's/ .*//'`
if [ "$gotsum"x != "$wantsum"x ]
then
die "sha1sum mismatch! Delete $file and try again."
fi
}
@ -256,11 +308,10 @@ download() {
fi
cache=$WINETRICKS_CACHE/$1
mkdir -p $cache
test -f $cache/$file || (cd $cache; wget -c "$2")
test -f $cache/$file || (cd $cache; $WGET "$2")
if [ "$3"x != ""x ]
then
echo "$3 $cache/$file" > $cache/$file.sha1sum
try sha1sum --status -c $cache/$file.sha1sum
verify_sha1sum $3 "$cache/$file"
fi
}
@ -312,6 +363,33 @@ _EOF_
rm $WINETRICKS_TMP/override-dll.reg
}
override_app_dlls() {
app=$1
shift
mode=$1
shift
echo Using $mode override for following DLLs when running $app: $@
(
echo REGEDIT4
echo "" >> $WINETRICKS_TMP/override-dll.reg
echo "[HKEY_CURRENT_USER\\Software\\Wine\\AppDefaults\\$app\\DllOverrides]"
) > $WINETRICKS_TMP/override-dll.reg
while test "$1" != ""
do
case "$1" in
comctl32)
rm -rf $WINEPREFIX/drive_c/windows/winsxs/manifests/x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.2600.2982_none_deadbeef.manifest
;;
esac
echo "\"$1\"=\"$mode\"" >> $WINETRICKS_TMP/override-dll.reg
shift
done
try $WINE regedit $WINETRICKS_TMP/override-dll.reg
rm $WINETRICKS_TMP/override-dll.reg
}
#----- One function per package, in alphabetical order ----------
load_art2kmin() {
@ -352,12 +430,35 @@ load_corefonts() {
# TODO: let user pick mirror, check md5;
# see http://corefonts.sourceforge.net/msttcorefonts-2.0-1.spec for how
# TODO: add more fonts
download . http://downloads.sourceforge.net/corefonts/arial32.exe 6d75f8436f39ab2da5c31ce651b7443b4ad2916e
download . http://downloads.sourceforge.net/corefonts/courie32.exe 06a745023c034f88b4135f5e294fece1a3c1b057
download . http://downloads.sourceforge.net/corefonts/times32.exe 20b79e65cdef4e2d7195f84da202499e3aa83060
# Added More Fonts (see msttcorefonts)
# [*] Pointed download locations to sites that actually contained the
# fonts to download (as of 04-03-2008)
download . http://internap.dl.sourceforge.net/sourceforge/corefonts/andale32.exe c4db8cbe42c566d12468f5fdad38c43721844c69
download . http://easynews.dl.sourceforge.net/sourceforge/corefonts/arial32.exe 6d75f8436f39ab2da5c31ce651b7443b4ad2916e
download . http://internap.dl.sourceforge.net/sourceforge/corefonts/arialb32.exe d45cdab84b7f4c1efd6d1b369f50ed0390e3d344
download . http://easynews.dl.sourceforge.net/sourceforge/corefonts/comic32.exe 2371d0327683dcc5ec1684fe7c275a8de1ef9a51
download . http://internap.dl.sourceforge.net/sourceforge/corefonts/courie32.exe 06a745023c034f88b4135f5e294fece1a3c1b057
download . http://easynews.dl.sourceforge.net/sourceforge/corefonts/georgi32.exe 90e4070cb356f1d811acb943080bf97e419a8f1e
download . http://internap.dl.sourceforge.net/sourceforge/corefonts/impact32.exe 86b34d650cfbbe5d3512d49d2545f7509a55aad2
download . http://easynews.dl.sourceforge.net/sourceforge/corefonts/times32.exe 20b79e65cdef4e2d7195f84da202499e3aa83060
download . http://internap.dl.sourceforge.net/sourceforge/corefonts/trebuc32.exe 50aab0988423efcc9cf21fac7d64d534d6d0a34a
download . http://internap.dl.sourceforge.net/sourceforge/corefonts/verdan32.exe f5b93cedf500edc67502f116578123618c64a42a
download . http://easynews.dl.sourceforge.net/sourceforge/corefonts/webdin32.exe 2fb4a42c53e50bc70707a7b3c57baf62ba58398f
# note: andale32 errors with 43 and georgi32 reports BAD EXEC warning
# try $WINE $WINETRICKS_CACHE/andale32.exe $WINETRICKS_QUIET
try $WINE $WINETRICKS_CACHE/arial32.exe $WINETRICKS_QUIET
try $WINE $WINETRICKS_CACHE/courie32.exe $WINETRICKS_QUIET
try $WINE $WINETRICKS_CACHE/times32.exe $WINETRICKS_QUIET
# One EULA is enough...
try $WINE $WINETRICKS_CACHE/arialb32.exe /q
try $WINE $WINETRICKS_CACHE/comic32.exe /q
try $WINE $WINETRICKS_CACHE/courie32.exe /q
# try $WINE $WINETRICKS_CACHE/georgi32.exe /q
try $WINE $WINETRICKS_CACHE/impact32.exe /q
try $WINE $WINETRICKS_CACHE/times32.exe /q
try $WINE $WINETRICKS_CACHE/trebuc32.exe /q
try $WINE $WINETRICKS_CACHE/verdan32.exe /q
try $WINE $WINETRICKS_CACHE/webdin32.exe /q
}
#----------------------------------------------------------------
@ -384,6 +485,11 @@ load_dcom98() {
# Set native DCOM by default for all apps (ok, this might be overkill)
override_dlls native,builtin ole32 oleaut32 rpcrt4
# but not for a few builtin apps that don't like it
override_app_dlls services.exe builtin ole32 oleaut32 rpcrt4
override_app_dlls wineboot.exe builtin ole32 oleaut32 rpcrt4
override_app_dlls winedevice.exe builtin ole32 oleaut32 rpcrt4
# and undo version win98
unset_winver
}
@ -495,7 +601,10 @@ load_ffdshow() {
load_flash() {
# www.adobe.com/products/flashplayer/
download . http://fpdownload.macromedia.com/get/flashplayer/current/licensing/win/install_flash_player_active_x.msi f4dd1c0c715b791db2c972aeba90d3b78372996a
# http://blogs.adobe.com/psirt/2008/03/preparing_for_april_flash_play.html
# 2008-04-01: old version sha1sum f4dd1c0c715b791db2c972aeba90d3b78372996a
# 2008-04-18: new version sha1sum 04ac79c4f1eb1e1ca689f27fa71f12bb5cd11cc2
download . http://fpdownload.macromedia.com/get/flashplayer/current/licensing/win/install_flash_player_active_x.msi 04ac79c4f1eb1e1ca689f27fa71f12bb5cd11cc2
try $WINE msiexec /i $WINETRICKS_CACHE/install_flash_player_active_x.msi $WINETRICKS_QUIET
}
@ -602,7 +711,9 @@ load_mdac25() {
load_mdac27() {
download mdac27 http://download.microsoft.com/download/3/b/f/3bf74b01-16ba-472d-9a8c-42b2b4fa0d76/mdac_typ.exe f68594d1f578c3b47bf0639c46c11c5da161feee
set_native_mdac
set_winver win2k
try $WINE $WINETRICKS_CACHE/mdac27/mdac_typ.exe
unset_winver
}
#----------------------------------------------------------------
@ -654,7 +765,7 @@ _EOF_
load_mono12() {
# Load Mono, have it handle all .net requests
download . ftp://www.go-mono.com/archive/1.9/windows-installer/4/mono-1.9-gtksharp-2.10.4-win32-4.exe 52c79aa8a4fcb29570ecf8e3cfcc417317852c16
download . http://ftp.novell.com/pub/mono/archive/1.9/windows-installer/4/mono-1.9-gtksharp-2.10.4-win32-4.exe 52c79aa8a4fcb29570ecf8e3cfcc417317852c16
# Anyone know how to get it to do a silent install?
try $WINE $WINETRICKS_CACHE/mono-1.9-gtksharp-2.10.4-win32-4.exe
@ -733,8 +844,7 @@ load_msxml4() {
try $WINE $WINETRICKS_CACHE/msxml4-KB927978-enu.exe "/x:`$WINE winepath -w $WINETRICKS_TMP`" $WINETRICKS_QUIET
if ! test -f $WINETRICKS_TMP/msxml.msi
then
echo msxml.msi not found
exit 1
die msxml.msi not found
fi
mv $WINETRICKS_TMP/msxml.msi $WINETRICKS_CACHE/msxml4.msi
fi
@ -863,6 +973,11 @@ load_vbrun60() {
load_vcrun6() {
# Load the Visual C++ 6 runtime libraries, including the elusive mfc42u.dll
if test -f $WINEPREFIX/drive_c/windows/system32/mfc42u.dll
then
echo "vcrun6 already installed, skipping"
return
fi
if ! test -f $WINETRICKS_CACHE/vcredist.exe
then
@ -872,8 +987,7 @@ load_vcrun6() {
try $WINE $WINETRICKS_CACHE/vc6redistsetup_enu.exe "/T:`$WINE winepath -w $WINETRICKS_TMP`" /c $WINETRICKS_QUIET
if ! test -f $WINETRICKS_TMP/vcredist.exe
then
echo vcredist.exe not found
exit 1
die vcredist.exe not found
fi
mv $WINETRICKS_TMP/vcredist.exe $WINETRICKS_CACHE
fi
@ -936,6 +1050,48 @@ load_vcrun2008() {
#----------------------------------------------------------------
load_wmp9() {
# Not really expected to work well yet; see
# http://appdb.winehq.org/appview.php?versionId=1449
set_winver win2k
# See also http://www.microsoft.com/windows/windowsmedia/player/9series/default.aspx
download wmp9 http://download.microsoft.com/download/1/b/c/1bc0b1a3-c839-4b36-8f3c-19847ba09299/MPSetup.exe 580536d10657fa3868de2869a3902d31a0de791b
# Have to run twice; see http://bugs.winehq.org/show_bug.cgi?id=1886
try $WINE $WINETRICKS_CACHE/wmp9/MPSetup.exe $WINETRICKS_QUIET
try $WINE $WINETRICKS_CACHE/wmp9/MPSetup.exe $WINETRICKS_QUIET
# Also install the codecs
# See http://www.microsoft.com/downloads/details.aspx?FamilyID=06fcaab7-dcc9-466b-b0c4-04db144bb601
download . http://download.microsoft.com/download/5/c/2/5c29d825-61eb-4b16-8eb8-58367d0464d5/WM9Codecs9x.exe 8b76bdcbea0057eb12b7966edab4b942ddacc253
try $WINE $WINETRICKS_CACHE/WM9Codecs9x.exe $WINETRICKS_QUIET
unset_winver
}
#----------------------------------------------------------------
load_wmp10() {
# See http://appdb.winehq.org/appview.php?iVersionId=3212
# See also http://www.microsoft.com/windows/windowsmedia/player/10
download . http://download.microsoft.com/download/1/2/A/12A31F29-2FA9-4F50-B95D-E45EF7013F87/MP10Setup.exe 69862273a5d9d97b4a2e5a3bd93898d259e86657
# Crashes on exit, but otherwise ok; see http://bugs.winehq.org/show_bug.cgi?id=12633
$WINE $WINETRICKS_CACHE/MP10Setup.exe $WINETRICKS_QUIET || true
# Also install the codecs
# See http://www.microsoft.com/downloads/details.aspx?FamilyID=06fcaab7-dcc9-466b-b0c4-04db144bb601
download . http://download.microsoft.com/download/5/c/2/5c29d825-61eb-4b16-8eb8-58367d0464d5/WM9Codecs9x.exe 8b76bdcbea0057eb12b7966edab4b942ddacc253
set_winver win2k
try $WINE $WINETRICKS_CACHE/WM9Codecs9x.exe $WINETRICKS_QUIET
unset_winver
}
#----------------------------------------------------------------
load_wsh51() {
# See also http://www.microsoft.com/downloads/details.aspx?FamilyID=bfdb7709-51e4-4aa6-adb0-05444e68dd80&DisplayLang=en
echo "Note: Microsoft has since pulled this download. Sorry!"
@ -1038,6 +1194,8 @@ do
vcrun2005) load_vcrun2005;;
vcrun2005sp1) load_vcrun2005sp1;;
vcrun2008) load_vcrun2008;;
wmp9) load_vcrun6; load_wsh56; load_wmp9;;
wmp10) load_vcrun6; load_wsh56; load_wmp10;;
wsh51) load_wsh51;;
wsh56) load_wsh56;;
wsh56js) load_wsh56js;;
@ -1051,6 +1209,7 @@ do
win98|winver=win98) set_winver win98;;
win2k|winver=win2k) set_winver win2k;;
winxp|winver=winxp) set_winver winxp;;
vista|winver=vista) set_winver vista;;
winver=) unset_winver;;
native_mdac) set_native_mdac;;
volnum) volnum;;